* {
    box-sizing: border-box;
}

@font-face { font-family: AmazDoomLeft; 
    src: url('AmazDooMLeft.ttf') format("truetype"); }

@font-face { font-family: SpaceMarine; 
    src: url('SpaceMarine.ttf') format("truetype"); }
    
body {
    padding: 0;
    margin: 0; 
    max-width: 100%;
    max-height: 100%;
    background-image: url('../images/doom_background.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    text-align: center;
}

.hide {
    display: none;
}

#mute {
    position: absolute;
    top: 0;
    right: 0;
}

#how-to-button {
    display: flex;
    align-self: auto;
    width: 200px;
}

ul {
    padding: 10px 10px 10px 30px;
    list-style: none;
}

li {
    margin-bottom: 20px;
}

/* This solution was taken from w3schools */
ul li::before {
    content: "\2022";  /* Add content: \2022 is the CSS Code/unicode for a bullet */
    font-weight: bold; /* If you want it to be bold */
    display: inline-block; /* Needed to add space between the bullet and the text */
    width: 2em; /* Also needed for space (tweak if needed) */
    margin-left: -1em; /* Also needed for space (tweak if needed) */
}

.modal-header {
    background-color: rgb(65, 28, 28);
    border-bottom: none;
    box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset, rgba(0, 0, 0, 0.664) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
}

.modal-body {
    text-align: left;
    background-color: rgb(65, 28, 28);
    box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset, rgba(0, 0, 0, 0.664) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
}

#title {
    width: 80vw;
    padding: 1vh;
    margin-top: 40px;
    max-width: 35rem;
    justify-self: start;
}

#game-area-title{
    width:40vw; 
    max-width:20rem;
    margin:10px auto;
}

#open-menu {
    margin: auto;
    display: grid;
    width: 90vw;
    max-width: 700px;
    background-color: rgba(73, 31, 31, 0.6);
    grid-template-columns: repeat(1, auto);
    box-shadow: 0 0 10px 5px;
    box-shadow: 0 0 10px 5px;
    border-radius: 1rem;
}

#score-update {
    font-family: SpaceMarine;
    font-size: 1rem;
    color: rgb(255, 217, 0);
    text-align: center;
    margin:50px auto;
    padding: 1rem;
    width: 70vw;
    max-width: 700px;
    background-color: rgba(73, 31, 31, 0.6);
    box-shadow: 0 0 10px 5px;
}

#game-area {
    position: relative;
    width: 80vw;
    max-width: 80%;
    min-height: 700px;
    margin: 30px auto;
    background-color: rgba(73, 31, 31, 0.8);
    padding: 2vw;
    box-shadow: 0 0 10px 5px;
    border-radius: 1rem;
}

#score {
    width: 475px;
    max-width: 98%;
    height: 120px;
    background-image: url('../images/doom_hud.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: 5px;
    padding: 2vw;
    margin: 30px auto;
    box-shadow: 0 0 10px 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#doom-guy {
    width: 20vw;
    max-width: 80px;
    z-index: 0;
}

#lives {
    font-family: SpaceMarine,'Orbitron', sans-serif;
    font-size: 1.5rem;
    color: rgb(233, 232, 232);
    position: absolute;
    top: 30px;
    right: 70px;
    text-shadow: 2px 2px 4px #000000;
}

#streak {
    font-family: SpaceMarine,'Orbitron', sans-serif;
    font-size: 1.5rem;
    color: rgb(233, 232, 232);
    position: absolute;
    top: 30px;
    left: 90px;
    text-shadow: 2px 2px 4px #000000;
}

.big-doom-text {
    font-family: AmazDoomLeft, 'Trade Winds', cursive;
    font-size: 3rem;
    background: -webkit-linear-gradient(rgb(255, 0, 0), rgb(255, 217, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.small-doom-text {
    margin: 10px;
    font-family:SpaceMarine,'Orbitron', sans-serif;
    font-size: 1rem;
    color: rgb(255, 217, 0);
    text-shadow: 2px 2px 4px #000000;
}

#btn-grid {
    display: grid;
    grid-template-columns: repeat(2, auto);
    gap: 5px;
}

.start {
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    object-fit: cover;
    display: inline-block;
    box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset, rgba(0, 0, 0, 0.664) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
}

.end-game {
    padding: 30px;
    font-family: AmazDoomLeft;
    font-size: 4vw;
    color: rgb(255, 238, 0);
    text-shadow: 2px 2px 4px #000000;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90vw;
    max-width: 300px;
    background-color: rgba(73, 31, 31, 0.856);
    box-shadow: 0 0 10px 5px;
    border-radius: 1rem;
}

.final-image {
    width: 20vw;
    max-width: 80px;
    z-index: 0;
}

.btn:hover {
    cursor:crosshair;
    color: rgb(255, 255, 255);
    border-color: white;
    text-shadow: 2px 2px 4px #ff0000;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgb(0, 0, 0) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

@media only screen and (max-width: 1200px) {
    #btn-grid {
        display: grid;
        grid-template-columns: repeat(1, auto);
    }
    .end-game {
        font-size: 3rem;
    }
  }

@media only screen and (max-width: 900px) {
    .big-doom-text {
        font-size: 2.5rem;
    }
    .btn {
        margin: 0.2rem;
    }
  }

@media only screen and (max-width: 620px) {
    #score {
        visibility: hidden;
    }
    #doom-guy {
        visibility: visible;
    }
    .small-doom-text {
        font-size: .8rem;
    }
  }
 
